diff --git a/copy.c b/copy.c
index 1ddc7b21e9..41674114c3 100644
--- a/copy.c
+++ b/copy.c
@@ -301,7 +301,8 @@ mutt_copy_hdr (FILE *in, FILE *out, LOFF_T off_start, LOFF_T off_end, int flags,
       if (flags & (CH_DECODE|CH_PREFIX))
       {
 	if (mutt_write_one_header (out, 0, headers[x], 
-				   flags & CH_PREFIX ? prefix : 0, mutt_term_width (Wrap) - SidebarWidth, flags) == -1)
+				   flags & CH_PREFIX ? prefix : 0,
+                                   mutt_term_width (Wrap), flags) == -1)
 	{
 	  error = TRUE;
 	  break;
diff --git a/mutt_curses.h b/mutt_curses.h
index ce7a07bd65..bdeb6a655b 100644
--- a/mutt_curses.h
+++ b/mutt_curses.h
@@ -192,12 +192,16 @@ void mutt_progress_update (progress_t* progress, long pos, int percent);
 
 static inline int mutt_term_width(short wrap)
 {
+  int cols = COLS;
+#ifdef USE_SIDEBAR
+  cols -= SidebarWidth;
+#endif
   if (wrap < 0)
-    return COLS > -wrap ? COLS + wrap : COLS;
+    return cols > -wrap ? cols + wrap : cols;
   else if (wrap)
-    return wrap < COLS ? wrap : COLS;
+    return wrap < cols ? wrap : cols;
   else
-    return COLS;
+    return cols;
 }
 
 extern int *ColorQuote;
diff --git a/pager.c b/pager.c
index e2207a17a3..94199411cf 100644
--- a/pager.c
+++ b/pager.c
@@ -1104,9 +1104,6 @@ static int format_line (struct line_t **lineInfo, int n, unsigned char *buf,
   wchar_t wc;
   mbstate_t mbstate;
   int wrap_cols = mutt_term_width ((flags & M_PAGER_NOWRAP) ? 0 : Wrap);
-#ifdef USE_SIDEBAR
-  wrap_cols -= SidebarWidth;
-#endif
 
   if (check_attachment_marker ((char *)buf) == 0)
     wrap_cols = COLS;
diff --git a/rfc3676.c b/rfc3676.c
index 5224bdac7b..dd67f741e7 100644
--- a/rfc3676.c
+++ b/rfc3676.c
@@ -149,9 +149,6 @@ static void flush_par (STATE *s, flowed_state_t *fst)
 static int quote_width (STATE *s, int ql)
 {
   int width = mutt_term_width (ReflowWrap);
-#ifdef USE_SIDEBAR
-  width -= SidebarWidth;
-#endif
   if (option(OPTTEXTFLOWED) && (s->flags & M_REPLYING))
   {
     /* When replying, force a wrap at FLOWED_MAX to comply with RFC3676
